Installation Media - Bug #2574

"30-openrc-upgrade.hook line 2: invalid value Path” when trying to install or remove package
2019-12-04 08:54 PM - ThislsMyAccount

Status: confirmed % Done: 0%
Priority: bug

Assignee: Megver83

Category: LivelSO

Description

After running “pacman -Syy’, then trying to install a package with ‘pacman -S openconnect’, | get this error:

resolving dependencies...
looking for conflicting packages...

Packages (3) stoken-0.92-3 vpnc-1:0.5.3.r462.r78-1 openconnect-1:8.05-1
Total Installed Size: 3.64 MiB

:: Proceed with installation? [Y/n]
(3/3) checking keys in keyring

KiiiiidddtidddtdtddsdtdiaataRaRadEEnEdEdE
FHAFH A AR A ] 100
(3/3) checking package integrity

Kiiiditdtdisdddtdsdsddtataddatdadaddinddddi
B i i i i ki R O O
(3/3) loading package files

[####HHHFFHHERAHHEHF A A ER AR H S F RS S
FHAFEH S F S ] 1008
(3/3) checking for file conflicts

Kiiddidddtidddtdtddsdtdmdata R dadRAbAnLdEi
HHAFH A A A AR ] 100
(3/3) checking available disk space

Kiiiddddddtddndddtddtdtdtddndtdsdatdmatdii
B i i i ki i R O OB
error: hook /usr/share/libalpm/hooks/30-openrc-upgrade.hook line 2: invalid value Path
error: failed to commit transaction (failed to run transaction hooks)
Errors occurred, no packages were upgraded.

| get a similar error when trying to remove a package with “‘pacman -R yay’
checking dependencies...

Packages (1) yay—-9.3.3-1

Total Removed Size: 6.36 MiB

:: Do you want to remove these packages? [Y/n]

error: hook /usr/share/libalpm/hooks/30-openrc-upgrade.hook line 2: invalid value Path
error: failed to commit transaction (failed to run transaction hooks)

History

#1 - 2019-12-04 08:58 PM - bill-auger

- Assignee set to Megver83

#2 - 2019-12-04 08:59 PM - bill-auger

- Description updated
#3 - 2019-12-04 09:13 PM - ThislsMyAccount

For the time being, I've moved this file out of the hooks directory, and was able to remove yay and install openconnect. You mentioned that the hook
file in question is no longer used. If you're sure then | could delete it, but for now, I'll just leave it in the space | put it, out of the way.
#4 - 2019-12-04 10:49 PM - bill-auger
- Parent task set to #2549

#5 - 2019-12-12 05:48 AM - bill-auger
- Status changed from unconfirmed to confirmed
- Category set to LivelSO

- Project changed from Packages to Installation Media

this is because the pacman on the LivelSO is outdated - upgrading the live system pacman, allows pacstrap to complete - i will move this to the
"installation media" category until the [nonsystemd] dust has settled

# pacman -Sy pacman

#6 - 2019-12-19 11:31 PM - bill-auger
- Parent task deleted (#2549)
